> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search Reddit for posts

## Parameters

<ParamField query="query" type="string" required>
  Search query
</ParamField>

<ParamField query="sort" type="string">
  Sort by (e.g., `relevance`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/reddit/search?query=EXAMPLE" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "posts": [
      {
        "subreddit": "webscraping",
        "title": "After 2 months learning scraping, I'm sharing what I learned!",
        "subreddit_name_prefixed": "r/webscraping",
        "ups": 123,
        "score": 456,
        "num_comments": 78
      }
      // ... more posts
    ]
  },
  "meta": {
    "platform": "reddit",
    "endpoint": "search",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
